Get Virtual Account

GET /v0/customers/{customer_id}/virtual-account/{virtual_account_id}

Returns Virtual Account deposit information.

Path parameters

  • customer_id (string, required) The unique identifier of the customer

  • virtual_account_id (string, required) The unique identifier of the virtual account

Header parameters

  • Authorization (string, required) Token for authentication

Responses

200 — Successful virtual account retrieval Content-Type: application/json

Example request (raw HTTP)

request.http
GET /v0/customers/{customer_id}/virtual-account/{virtual_account_id} HTTP/1.1
Host: gateway.noxxo.com
Authorization: text
Accept: */*

Example response (200)

response.json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "active",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "deposit_instructions": {
    "payment_rails": [
      "sepa"
    ],
    "currency": "eur",
    "bank_name": "text",
    "bank_address": "text",
    "account_holder_name": "text",
    "iban": {
      "bic": "text",
      "iban_number": "text"
    }
  }
}

Last updated